Page MenuHomePhabricator

Update Vagrant role for Extension:OpenStackManager
Open, NormalPublic

Description

At https://gerrit.wikimedia.org/r/#/c/220635/, @Krenair wrote:

I've heard that we don't actually have a way to test OSM changes in the openstack project anymore.

Apparently for MediaWiki testing, MediaWiki-Vagrant is the proven way to go, so this means that role::wikitech needs to be updated to set up a local dummy LDAP server.

Then this role could be applied via Labs-Vagrant on test instances in Labs.

Details

Related Gerrit Patches:

Event Timeline

scfc created this task.Jun 25 2015, 5:23 PM
scfc raised the priority of this task from to Normal.
scfc updated the task description. (Show Details)
scfc added subscribers: zhuyifei1999, scfc, Legoktm and 4 others.
scfc renamed this task from Create Vagrant role for Extension:OpenStackManager to Update Vagrant role for Extension:OpenStackManager.Jun 25 2015, 5:28 PM
scfc updated the task description. (Show Details)
scfc set Security to None.

Change 221418 had a related patch set uploaded (by Tim Landscheidt):
role::wikitech: Fix sentinel page for import_dump

https://gerrit.wikimedia.org/r/221418

Change 221418 had a related patch set uploaded (by Tim Landscheidt):
role::wikitech: Fix sentinel page for import_dump

https://gerrit.wikimedia.org/r/221418

This is a lost cause, IMO. Anything we set up on MWV won't match production in any way or form, and we should just instead kill it ASAP.

scfc added a comment.Jul 24 2015, 3:00 PM

I don't want to update the role to "really" match production (i. e. "where you can do stuff just like on wikitech"); at the moment, we can't even test the most simple UI changes, and that should change. Lots of the issues in MediaWiki-extensions-OpenStackManager are low-hanging fruit for MediaWiki developers; having no way whatsoever to test patches for them makes them nearly impossible to fix.

Change 221418 merged by Yuvipanda:
role::wikitech: Fix sentinel page for import_dump

https://gerrit.wikimedia.org/r/221418

Considering OSM is trying to be EOL'd, I don't see any point in doing this. Instead, we should just drop the role outright. Ping @bd808 to see what he thinks...

I'm actually slowly working on some stuff that may make a more full featured role::wikitech possible. I would like to have a full local dev environment for working on Horizon and it needs all the same things as OSM.

demon added a comment.Feb 1 2018, 12:30 AM

I was under the impression wikitech is basically becoming a documentation wiki and won't do anything special anymore.... why would mediawiki-vagrant need a role for this?

It won't, once we get rid of OSM. To do that we need to add some stuff to Horizon which it what I'm actually putting some effort towards. It may or may not be useful to have a better OSM role during the transition to help check old vs new behaviors. Once OSM is gone from Wikitech it will be a "normal" LDAP auth wiki for a while until we solve all of T161859: Make Wikitech an SUL wiki.

demon added a comment.Feb 1 2018, 7:34 PM

I'm inclined to think "may not" but it's your project not mine ;-)

Change 416340 had a related patch set uploaded (by Sau226; owner: sau226):
[mediawiki/vagrant@master] Remove all new extension load lines

https://gerrit.wikimedia.org/r/416340

Change 416340 merged by jenkins-bot:
[mediawiki/vagrant@master] wikitech: Remove explicit extension load lines

https://gerrit.wikimedia.org/r/416340